<?php
/*
Plugin Name: Xoogu GeoText
Plugin URI: https://www.xoogu.com/geo-text-wordpress-plugin/
Description: Allows you to use a shortcode in your posts and pages to display different text or html depending on what country or region a visitor comes from
Version: 2016-04-26
Author: xoogu.com
Author URI: https://www.xoogu.com/
Text Domain: xoogu-geotext
*/




if (!defined( 'ABSPATH' )) {
	exit('Wordpress not loaded');
}

if (is_admin()) {
	if (defined('DOING_AJAX')) {
		require_once(dirname(__FILE__).'/Xoogu_GeoText_Admin_MCE.php');
		$Xoogu_GeoText_Admin_MCE = new Xoogu_GeoText_Admin_MCE();
	} else {
		require_once(dirname(__FILE__).'/Xoogu_GeoText.php');
		require_once(dirname(__FILE__).'/Xoogu_GeoText_Admin.php');
		$Xoogu_GeoText = new Xoogu_GeoText_Admin();
		//If an admin AJAX call, the current_screen action isn't called. So we need to duplicate code and load the MCE code if this is an AJAX request.
		//get_current_screen isn't available this early, so we need to hook into the current_screen action to determine if we're on an edit post / page screen
		add_action('current_screen', array($Xoogu_GeoText, 'load_MCE_if_edit_screen'));
	}
} else {
	require_once(dirname(__FILE__).'/Xoogu_GeoText.php');
	$Xoogu_GeoText = new Xoogu_GeoText();
}

